# CHANGELOG FOR `1.0.X`

## v1.0.18 (2018-07-10)

#### TL;DR

- Fixing the application after not-so-perfect security issue fix in the last release

#### Details

- [See the diff since the last patch release](https://github.com/Sylius/Sylius/compare/v1.0.17...v1.0.18)

## v1.0.17 (2018-07-08)

#### TL;DR

- **SECURITY FIX:** Added CSRF protection for the following action:
  
    - marking order's payment as completed
    - marking order's payment as refunded
    - marking product review as accepted
    - marking product review as rejected

#### Details

- [#9475](https://github.com/Sylius/Sylius/pull/9475) Make Stalebot less annoying (@Zales0123)
- [#9515](https://github.com/Sylius/Sylius/pull/9515) [Documentation] Fix typos (@adrienlucas)
- [#9491](https://github.com/Sylius/Sylius/pull/9491) [Documentation] Document Forum in the support section (@CoderMaggie)

## v1.0.16 (2018-06-12)

#### TL;DR

- This is the last bugfix release of `1.0` branch
- Lots of bugfixes

#### Details

- [#9418](https://github.com/Sylius/Sylius/pull/9418) Update Model.ProductOption.yml (@severino32)
- [#9419](https://github.com/Sylius/Sylius/pull/9419) Moved IE css polyfills (@czende)
- [#9424](https://github.com/Sylius/Sylius/pull/9424) Lazy load Doctrine event listeners (@teohhanhui)
- [#9436](https://github.com/Sylius/Sylius/pull/9436) [Addressing]  Fix default validation groups of AddressType (@vvasiloi)
- [#9444](https://github.com/Sylius/Sylius/pull/9444) [Documentation] Fixed typo in note about --force-with-lease flag (@pmikolajek)
- [#9462](https://github.com/Sylius/Sylius/pull/9462) Remove two redundant services from CoreBundle (@jafaronly)
- [#9464](https://github.com/Sylius/Sylius/pull/9464) Fixed typo in PayumController (@qkdreyer)
- [#9465](https://github.com/Sylius/Sylius/pull/9465) [Documentation] Fix deprecated link to repository (@CoderMaggie)
- [#9466](https://github.com/Sylius/Sylius/pull/9466) Document "event" option in resource routing (@Zales0123)
- [#9467](https://github.com/Sylius/Sylius/pull/9467) Update outdated method prototype('array') with arrayPrototype() (@jafaronly)
- [#9470](https://github.com/Sylius/Sylius/pull/9470) [Documentation] Updated link to Payum docs (@pogorivan)
- [#9477](https://github.com/Sylius/Sylius/pull/9477) Remove labels descriptions in docs (@pamil)

## v1.0.15 (2018-05-21)

- [#9334](https://github.com/Sylius/Sylius/pull/9334) Quote usage of !!int  to remove deprecation warning (@stefandoorn)
- [#9335](https://github.com/Sylius/Sylius/pull/9335) Make sure controller services are public (@teohhanhui)
- [#9339](https://github.com/Sylius/Sylius/pull/9339) Fix product repository's service id in docs (@hectorj)
- [#9344](https://github.com/Sylius/Sylius/pull/9344) Fix exception controller config (@teohhanhui)
- [#9349](https://github.com/Sylius/Sylius/pull/9349) [Grid] Default parameters for "default" grid action (@Zales0123)
- [#9350](https://github.com/Sylius/Sylius/pull/9350) Readme enhancements (@pamil)
- [#9354](https://github.com/Sylius/Sylius/pull/9354) Order update error flash message typo (@czende)
- [#9356](https://github.com/Sylius/Sylius/pull/9356) [Components] Fix links for documentation in readme (@Jibbarth)
- [#9371](https://github.com/Sylius/Sylius/pull/9371) Fix sourcemaps (@teohhanhui)
- [#9379](https://github.com/Sylius/Sylius/pull/9379) Replace outdated "Symfony2" with "Symfony" in package descriptions (@pamil)
- [#9397](https://github.com/Sylius/Sylius/pull/9397) Add missing replacements to composer.json (@jordisala1991)
- [#9404](https://github.com/Sylius/Sylius/pull/9404) Update node-sass for compatibility with Node.js 10 (@teohhanhui)

## v1.0.14 (2018-04-13)

- [#9323](https://github.com/Sylius/Sylius/pull/9323) formatting content in a email message (@axzx)
- [#9322](https://github.com/Sylius/Sylius/pull/9322) Make build passing again (@pamil)
- [#9316](https://github.com/Sylius/Sylius/pull/9316) Correct minor typo in docs (@cedricziel)
- [#9315](https://github.com/Sylius/Sylius/pull/9315) [DOC] Minor documentation changes for product reviews (@cedricziel)
- [#9314](https://github.com/Sylius/Sylius/pull/9314) Minor doc fix (@cedricziel)
- [#9312](https://github.com/Sylius/Sylius/pull/9312) Fix JS error when autocomplete field is empty (@teohhanhui)
- [#9308](https://github.com/Sylius/Sylius/pull/9308) [Adjustment] Inject adjustment types that shall be cleared (@Zales0123)
- [#9302](https://github.com/Sylius/Sylius/pull/9302) willdurand/hateoas 2.12 version update (#9302) (@bartoszpietrzak1994)
- [#9300](https://github.com/Sylius/Sylius/pull/9300) Outdated method reference removed from docs (@bartoszpietrzak1994)
- [#9295](https://github.com/Sylius/Sylius/pull/9295) Cleanup PrioritizedCompositeServicePass definition name (@diimpp)
- [#9284](https://github.com/Sylius/Sylius/pull/9284) [Grid] Filtering orders bug (@Zales0123)
- [#9268](https://github.com/Sylius/Sylius/pull/9268) Documentation - Use nullable return type (@Holicz)

## v1.0.13 (2018-04-04)

- [#9298](https://github.com/Sylius/Sylius/pull/9298) Define conflicts with incompatible dependencies versions (@pamil)
- [#9287](https://github.com/Sylius/Sylius/pull/9287) Fix wrong CustomerInterface type in PHPDoc (@teohhanhui)
- [#9281](https://github.com/Sylius/Sylius/pull/9281) [Behat] Handle multiple notifications in NotificationChecker (@Zales0123)
- [#9264](https://github.com/Sylius/Sylius/pull/9264) [Documentation][CookBook] Specific SyliusBundles extension (@Zales0123, @Adraesh)
- [#9267](https://github.com/Sylius/Sylius/pull/9267) Add PaymentMethod::instructions option to fixtures (@stefandoorn)
- [#9269](https://github.com/Sylius/Sylius/pull/9269) Fix wrong Balrog of Morgoth name (@Zales0123)

## v1.0.12 (2018-03-16)

- [#9265](https://github.com/Sylius/Sylius/pull/9265) Run PHPStan in Travis CI (@pamil)
- [#9260](https://github.com/Sylius/Sylius/pull/9260) Remove "incenteev/composer-parameter-handler" from packages dependencies (@pamil)
- [#9259](https://github.com/Sylius/Sylius/pull/9259) Various composer.json enhancements (@pamil)
- [#9256](https://github.com/Sylius/Sylius/pull/9256) PHPUnit ^6.5 for packages (@pamil)
- [#9248](https://github.com/Sylius/Sylius/pull/9248) Update to PHPUnit ^6.5 (@pamil)
- [#9247](https://github.com/Sylius/Sylius/pull/9247) Update to ApiTestCase ^2.0 and PHPUnit ^6.0 (@pamil)
- [#9244](https://github.com/Sylius/Sylius/pull/9244) Remove composer.lock (@pamil)
- [#9135](https://github.com/Sylius/Sylius/pull/9135) Fixed Customer API docs with invalid "groups" parameter (@gorkalaucirica)
- [#9176](https://github.com/Sylius/Sylius/pull/9176) [Documentation] Customizing Factory (@GitProdEnv)
- [#9237](https://github.com/Sylius/Sylius/pull/9237) Fix select province in checkout address (@serieznyi)
- [#9233](https://github.com/Sylius/Sylius/pull/9233) [AttributeBundle] Fixing composer.json for ramsey/uuid (@David-Crty)
- [#9235](https://github.com/Sylius/Sylius/pull/9235) [ResourceBundle] make controller public by default (@bendavies)
- [#9236](https://github.com/Sylius/Sylius/pull/9236) [ResourceBundle] make sylius.translatable_entity_locale_assigner public (@bendavies)
- [#9238](https://github.com/Sylius/Sylius/pull/9238) Make tests green again (@pamil)
- [#9219](https://github.com/Sylius/Sylius/pull/9219) Improve flags support (@shadypierre)
- [#9194](https://github.com/Sylius/Sylius/pull/9194) [Documentation][Cookbook]Adding validation for image uploads (@Mipme)
- [#9211](https://github.com/Sylius/Sylius/pull/9211) Bring extra care for the documentation! (@pamil)
- [#9181](https://github.com/Sylius/Sylius/pull/9181) Remove surprising redundant x sign from docblock (@damonsson)

## v1.0.11 (2018-02-26)

- [#9195](https://github.com/Sylius/Sylius/pull/9195) [Documentation][GridBundle]Wrong definition of sortable attribute (@Mipme)
- [#9145](https://github.com/Sylius/Sylius/pull/9145) Run Travis with readonly project directories (@pamil)
- [#9206](https://github.com/Sylius/Sylius/pull/9206) [Documentation] Translatable model - Fix titles and add template support (@shadypierre)
- [#9204](https://github.com/Sylius/Sylius/pull/9204) Fix invalid use of count by checking for an array (@venyii)
- [#9189](https://github.com/Sylius/Sylius/pull/9189) [Documentation] Add more rules to the contribution guide + Fix CMS cookbook (@CoderMaggie)
- [#9188](https://github.com/Sylius/Sylius/pull/9188) [Behat] Remove some unused methods in Behat pages (@Zales0123)
- [#9155](https://github.com/Sylius/Sylius/pull/9155) [Documentation] Add CMS integration cookbook (@bitbager)

## v1.0.10 (2018-02-09)

- [#9166](https://github.com/Sylius/Sylius/pull/9166) Add required parameters to the Route generation (@GitProdEnv)
- [#9164](https://github.com/Sylius/Sylius/pull/9164) Sylius.org becomes sylius.com (@pamil)
- [#9169](https://github.com/Sylius/Sylius/pull/9169) Allow for using Doctrine ORM >=2.6 (@pamil)
- [#9162](https://github.com/Sylius/Sylius/pull/9162) Update all occurrences of .dev to .test (@jackbentley)
- [#9161](https://github.com/Sylius/Sylius/pull/9161) Make images removal tests great again (@pamil)
- [#9157](https://github.com/Sylius/Sylius/pull/9157) Make Travis tests more reliable (@pamil)
- [#9153](https://github.com/Sylius/Sylius/pull/9153) Semantic fixes in SyliusTaxonomyBundle docs (@Zales0123)
- [#9149](https://github.com/Sylius/Sylius/pull/9149) Fix typo in UPGRADE file (@alcaeus)
- [#9147](https://github.com/Sylius/Sylius/pull/9147) Remove pre-1.0 changelog entries (@pamil)

## v1.0.9 (2018-02-02)

- [#9144](https://github.com/Sylius/Sylius/pull/9144) Remove RFC label from stalebot's whitelist (@pamil)
- [#9143](https://github.com/Sylius/Sylius/pull/9143) Allow nullable product variants (@pamil, @bitbager)
- [#9136](https://github.com/Sylius/Sylius/pull/9136) Make packages providing Twig extensions conflict with Twig 1.x (@pamil)
- [#9068](https://github.com/Sylius/Sylius/pull/9068) Random codebase fixes (@pamil)
- [#9139](https://github.com/Sylius/Sylius/pull/9139) [Documentation] Fix URL to docs in Bundles README (@RadnoK)
- [#9137](https://github.com/Sylius/Sylius/pull/9137) [Documentation] Fix typo (@willy-ahva)
- [#9130](https://github.com/Sylius/Sylius/pull/9130) [Documentation] Add warning about trusted proxies when using stripe behind lb with https (@reyostallenberg)
- [#9131](https://github.com/Sylius/Sylius/pull/9131) [Admin] Fix wrong source currency translation (@Zales0123)
- [#9133](https://github.com/Sylius/Sylius/pull/9133) Fix return typehint for TaxonTranslation (@diimpp)
- [#9110](https://github.com/Sylius/Sylius/pull/9110) [Documentation] Fixed Docblock in Taxon document (@thekonz)
- [#9127](https://github.com/Sylius/Sylius/pull/9127) Use random_*() instead of rand(), mt_rand() and microtime() (@pamil)
- [#9125](https://github.com/Sylius/Sylius/pull/9125) Make lightbox label translatable (fixes #9099) (@stefandoorn)
- [#9108](https://github.com/Sylius/Sylius/pull/9108) [Documentation] Update required selenium version (@lchrusciel)

## v1.0.8 (2018-01-12)

- [#9101](https://github.com/Sylius/Sylius/pull/9101) Fix wrong target-entity in exchange-rate entity (@alcaeus)
- [#9097](https://github.com/Sylius/Sylius/pull/9097) Fix UI form add button issue collection in a collection (@wadjeroudi)
- [#9095](https://github.com/Sylius/Sylius/pull/9095) Prevent the kernel response listener for cart from continuing when the session is not actually started. (@Hailong)
- [#9096](https://github.com/Sylius/Sylius/pull/9096) PHP 7.2 support, finally! (@pamil)
- [#9090](https://github.com/Sylius/Sylius/pull/9090) Update README.md (@landsman)
- [#9084](https://github.com/Sylius/Sylius/pull/9084) Minor enhancements to product review API pull request (@pamil)
- [#9085](https://github.com/Sylius/Sylius/pull/9085) Fix referenced state machine configuration path (@pamil)
- [#9079](https://github.com/Sylius/Sylius/pull/9079) [Travis] Run a full build for tags (@pamil)

## v1.0.7 (2017-12-30)

- [#9075](https://github.com/Sylius/Sylius/pull/9075) Test sylius:install command on Travis (@pamil)
- [#9071](https://github.com/Sylius/Sylius/pull/9071) Update composer.json (1.0) (@pamil)
- [#9069](https://github.com/Sylius/Sylius/pull/9069) Extend Travis build matrix & setup extra jobs running nightly (1.0) (@pamil)
- [#9065](https://github.com/Sylius/Sylius/pull/9065) Various Travis changes (@pamil)
- [#9048](https://github.com/Sylius/Sylius/pull/9048) Exclude the web/media directory from firewall restrict list. (@Hailong)
- [#9063](https://github.com/Sylius/Sylius/pull/9063) Require Symfony ^3.4 in components & bundles (@pamil)
- [#9055](https://github.com/Sylius/Sylius/pull/9055) Remove PHP <= 7.1 Polyfills (@stefandoorn)
- [#9052](https://github.com/Sylius/Sylius/pull/9052) Fixes history issue when adding to cart (@gabriel-cardoso)
- [#9061](https://github.com/Sylius/Sylius/pull/9061) Require Symfony ^3.4 (@pamil)
- [#9060](https://github.com/Sylius/Sylius/pull/9060) Remove the need for using sudo on Travis (@pamil)
- [#9059](https://github.com/Sylius/Sylius/pull/9059) Make Travis use the most recent Chromedriver (@pamil)

## v1.0.6 (2017-12-22)

- [#9023](https://github.com/Sylius/Sylius/pull/9023) [Documenation] Turn off bundles fixes (@lchrusciel)
- [#9045](https://github.com/Sylius/Sylius/pull/9045) [Grid] Fixes broken table when all item actions are disabled (@Tetragramat)
- [#9033](https://github.com/Sylius/Sylius/pull/9033) Add info about constraints / validation groups when using form extensions (closes #7862) (@stefandoorn)
- [#9036](https://github.com/Sylius/Sylius/pull/9036) [Core] Fix customer order addresses saver (@GSadee)
- [#9024](https://github.com/Sylius/Sylius/pull/9024) [Documenation] Update plugin mapping recommendation (@lchrusciel)
- [#9034](https://github.com/Sylius/Sylius/pull/9034) [MailerBundle] Simplify tests (@odolbeau)
- [#9027](https://github.com/Sylius/Sylius/pull/9027) [Documentation] Update plugin name (@lchrusciel)
- [#9025](https://github.com/Sylius/Sylius/pull/9025) [Travis] Use old Trusty image (@lchrusciel)
- [#9012](https://github.com/Sylius/Sylius/pull/9012) [Documentation][MailerBundle] Clean installation part (@odolbeau)
- [#9021](https://github.com/Sylius/Sylius/pull/9021) [Documentation] [Order] Fixes in Order component documentation: typo in models.rst and wording in processors.rst (@dgreda)
- [#9018](https://github.com/Sylius/Sylius/pull/9018) Use Null Coalesce Operator (@carusogabriel)
- [#9020](https://github.com/Sylius/Sylius/pull/9020) Restrict packages to use Symfony's DI in ^3.2 version for tests (@pamil)
- [#9015](https://github.com/Sylius/Sylius/pull/9015) Removing gender from documentation (@mbklnd)
- [#9000](https://github.com/Sylius/Sylius/pull/9000) Fixed: Breadcrumbs links for Taxon and Product views (@igormukhingmailcom)

## v1.0.5 (2017-12-04)

- [#8996](https://github.com/Sylius/Sylius/pull/8996) Setup "Stale" probot (@pamil)
- [#8998](https://github.com/Sylius/Sylius/pull/8998) Syntax error fix in doc code snippet (@t-geindre)
- [#8997](https://github.com/Sylius/Sylius/pull/8997) PHPDoc fixes (@JanTvrdik)
- [#8978](https://github.com/Sylius/Sylius/pull/8978) Decouple reviews customer (@kochen)
- [#8992](https://github.com/Sylius/Sylius/pull/8992) Change "Support Request" label to "Help Wanted" (@pamil)
- [#8990](https://github.com/Sylius/Sylius/pull/8990) [Documentation] Remove facebook group (@lchrusciel)
- [#8979](https://github.com/Sylius/Sylius/pull/8979) ensure we return null rather than void in SyliusPluginTrait::getContainerExtension (@lsmith77)
- [#8951](https://github.com/Sylius/Sylius/pull/8951) Community organization (@pamil)

## v1.0.4 (2017-11-17)

- [#8968](https://github.com/Sylius/Sylius/pull/8968) Security release 1.0.4 - allowing to update to Symfony 3.3.13 (@pamil)

## v1.0.3 (2017-11-10)

- [#8954](https://github.com/Sylius/Sylius/pull/8954) Add more accurate select jQuery selector (@PapsOu)
- [#8952](https://github.com/Sylius/Sylius/pull/8952) Suspend PHP 7.2 support (@pamil)
- [#8858](https://github.com/Sylius/Sylius/pull/8858) [Bug] [Admin] fixed filter reset after changing grid page limits - third branch (@doctorx32)
- [#8878](https://github.com/Sylius/Sylius/pull/8878) Add more accurate select jQuery selector (@PapsOu)
- [#8924](https://github.com/Sylius/Sylius/pull/8924) Improved parse alias exception message (@william-nedbase)
- [#8903](https://github.com/Sylius/Sylius/pull/8903) Plugin naming convention RFC implementation (closes #8848) (@stefandoorn)
- [#8945](https://github.com/Sylius/Sylius/pull/8945) [Travis] Use Ubuntu Trusty (@castler, @pamil)
- [#8941](https://github.com/Sylius/Sylius/pull/8941) [Documentation] Rework Cookbook organization (@CoderMaggie)
- [#8933](https://github.com/Sylius/Sylius/pull/8933) [Documentation] Theme assets installing tip (@CoderMaggie)
- [#8934](https://github.com/Sylius/Sylius/pull/8934) [Documentation] Branching strategy (@CoderMaggie)
- [#8940](https://github.com/Sylius/Sylius/pull/8940) Change bulk action implementation and remove the need for a BC break (@pamil)
- [#8937](https://github.com/Sylius/Sylius/pull/8937) Fix wrong use statement for ProductInterface (@stefandoorn)
- [#8915](https://github.com/Sylius/Sylius/pull/8915) [Travis] Update Yarn to stable 1.2.1, use Node v6 (@venyii)
- [#8931](https://github.com/Sylius/Sylius/pull/8931) [Behat] fix typo in contact context (@loic425)
- [#8926](https://github.com/Sylius/Sylius/pull/8926) Fix: Old interface names used in product documentation (@nbjohan)
- [#8912](https://github.com/Sylius/Sylius/pull/8912) Update UPGRADE file mentioning risky changes made between v1.0.1 and v1.0.2 releases (@pamil)
- [#8491](https://github.com/Sylius/Sylius/pull/8491) [Admin] Mass deletion on admin grid (fixes #93) (@GSadee, @stefandoorn)
- [#8874](https://github.com/Sylius/Sylius/pull/8874) [Order][OrderItem] Immutable product/variant names (@GSadee, @johnrisby)
- [#8901](https://github.com/Sylius/Sylius/pull/8901) Backwards compatibility promise (@pamil)
- [#8911](https://github.com/Sylius/Sylius/pull/8911) Change 1.0 version to 1.0.3-DEV (@pamil)

## v1.0.2 (2017-10-27)

- [#8908](https://github.com/Sylius/Sylius/pull/8908) Support for PHP 7.2 (@pamil)
- [#8905](https://github.com/Sylius/Sylius/pull/8905) [Documentation] Fix form extension link (@Snake-Tn)
- [#8876](https://github.com/Sylius/Sylius/pull/8876) Narrow typehints for models - part 1 (@pamil)
- [#8906](https://github.com/Sylius/Sylius/pull/8906) [Documentation] Fix channel assignment example on a payment method (@GSadee, @PapsOu)
- [#8895](https://github.com/Sylius/Sylius/pull/8895) Remove the remaining author docblocks (@pamil)
- [#8766](https://github.com/Sylius/Sylius/pull/8766) [ProductAttribute] Make select attribute translatable (@GSadee, @Lowlo)
- [#8882](https://github.com/Sylius/Sylius/pull/8882) Remove all author docblocks (@Zales0123)
- [#8887](https://github.com/Sylius/Sylius/pull/8887) [Docs] Mention hostname configuration for multiple channels (@Zales0123)
- [#8879](https://github.com/Sylius/Sylius/pull/8879) Change Symfony2 to Symfony (@edamov)
- [#8775](https://github.com/Sylius/Sylius/pull/8775) [ProductAttribute] Fix displaying attributes depending on locales and channels (@GSadee)
- [#8869](https://github.com/Sylius/Sylius/pull/8869) [AdminApi] Fix nullable ClientInterface return type in admin api (@venyii)
- [#8856](https://github.com/Sylius/Sylius/pull/8856) remove send on different moment and add section links (@kochen)
- [#8868](https://github.com/Sylius/Sylius/pull/8868) [Travis] Allow failures for PHP 7.2 builds (@pamil)
- [#8771](https://github.com/Sylius/Sylius/pull/8771) Make Sylius compatible with PHP 7.2 (@stefandoorn)
- [#8823](https://github.com/Sylius/Sylius/pull/8823) [Documentation][Cookbook] Cloudways deployment guide (@CoderMaggie, @shahroznawaz)
- [#8860](https://github.com/Sylius/Sylius/pull/8860) [Customer] Fix typo in serializer file (@igormukhingmailcom)
- [#8851](https://github.com/Sylius/Sylius/pull/8851) Optimise Travis builds (@pamil)
- [#8855](https://github.com/Sylius/Sylius/pull/8855) Do not check links while building documentation (@pamil)
- [#8840](https://github.com/Sylius/Sylius/pull/8840) Clean the not Fulfilled Table before each collection (@nstapelbroek)
- [#8829](https://github.com/Sylius/Sylius/pull/8829) Add missing event response. (@liverbool)
- [#8715](https://github.com/Sylius/Sylius/pull/8715) [Documentation] Explain how to contribute using vagrant (@loicmobizel)
- [#8832](https://github.com/Sylius/Sylius/pull/8832) Random codebase enhancements (@pamil)
- [#8844](https://github.com/Sylius/Sylius/pull/8844) [Documentation] Add typehints to customization guide (@GSadee)
- [#8846](https://github.com/Sylius/Sylius/pull/8846) Update comment in the PR template (@GSadee)
- [#8680](https://github.com/Sylius/Sylius/pull/8680) add sylius version to the footer in admin (@gabiudrescu)
- [#8842](https://github.com/Sylius/Sylius/pull/8842) Added missing return type in customization/controller docs (@kejwmen)
- [#8843](https://github.com/Sylius/Sylius/pull/8843) Allow to use environmental variables to populate parameters (@pamil)
- [#8826](https://github.com/Sylius/Sylius/pull/8826) [Documentation][Locale] Component docs fix (@nightrainlily)
- [#8830](https://github.com/Sylius/Sylius/pull/8830) [Documentation] Custom Promotion Rule Checker Fix (@CoderMaggie, @flochntrl)
- [#8827](https://github.com/Sylius/Sylius/pull/8827) [Documentation][Book] Product attributes fix (@garbetjie)
- [#8825](https://github.com/Sylius/Sylius/pull/8825) [BUGFIX][Documentation] Restrict Sphinx version contraints (@CoderMaggie)
- [#8820](https://github.com/Sylius/Sylius/pull/8820) Change 1.0 branch version to v1.0.2-DEV (@pamil)

## v1.0.1 (2017-10-11)

- [#8815](https://github.com/Sylius/Sylius/pull/8815) Revert "Changed CustomerChoiceType for a ResourceToIdentifierTransformer in OrderType of SyliusAdminApiBundle"
- [#8814](https://github.com/Sylius/Sylius/pull/8814) [Documentation] Updated platform sh guide (1.0 branch backport) (@lchrusciel, @Crell)
- [#8798](https://github.com/Sylius/Sylius/pull/8798) [Installation] Add setting a username during installation (@GSadee)
- [#8751](https://github.com/Sylius/Sylius/pull/8751) [ProductAttribute] Fix select product attribute choice value delete (@GSadee)
- [#8809](https://github.com/Sylius/Sylius/pull/8809) PHPStan: initial config & first fixes (@pamil)
- [#8812](https://github.com/Sylius/Sylius/pull/8812) [Installation] Add setting an email as username during installation (@GSadee)
- [#8755](https://github.com/Sylius/Sylius/pull/8755) [Attribute] Configuration validation of text and select attributes (@GSadee)
- [#8807](https://github.com/Sylius/Sylius/pull/8807) [Documentation] Remove outdated exchange rate info from Order docs (@venyii)
- [#8800](https://github.com/Sylius/Sylius/pull/8800) Mention ^PHP7.1 requirement when installing Sylius (closes 8765) (@stefandoorn)
- [#8777](https://github.com/Sylius/Sylius/pull/8777) Move user impersonated listener to shop bundle (@GSadee)
- [#8770](https://github.com/Sylius/Sylius/pull/8770) Run security:check to actively check issues in Composer dependencies (@stefandoorn)
- [#8804](https://github.com/Sylius/Sylius/pull/8804) [tests] Remove duplicate scenario (@juukie)
- [#8796](https://github.com/Sylius/Sylius/pull/8796) [Documentation] Quick typo fix (@GSadee)
- [#8790](https://github.com/Sylius/Sylius/pull/8790) [Documentation] Update docs about creating custom tax calculators (@GSadee)
- [#8786](https://github.com/Sylius/Sylius/pull/8786) [Documentation] Update docs about creating custom shipping calculators (@GSadee)
- [#8791](https://github.com/Sylius/Sylius/pull/8791) [Documentation] Clarification of how to install assets in a new theme (@johnrisby)
- [#8778](https://github.com/Sylius/Sylius/pull/8778) Changed CustomerChoiceType for a ResourceToIdentifierTransformer in OrderType of SyliusAdminApiBundle (@jdeveloper)
- [#8773](https://github.com/Sylius/Sylius/pull/8773) [Behat] Remove unnecessary current channel context (@GSadee)
- [#8779](https://github.com/Sylius/Sylius/pull/8779) [ProductImage] Fix association between images and variants (@GSadee)
- [#8782](https://github.com/Sylius/Sylius/pull/8782) [UserBundle] Decouple UserBundle from CoreBundle (@GSadee)
- [#8774](https://github.com/Sylius/Sylius/pull/8774) [Documentation] Update PR template in contribution guide (@GSadee)
- [#8783](https://github.com/Sylius/Sylius/pull/8783) [Documentation] Update locales page in book (@GSadee)
- [#8762](https://github.com/Sylius/Sylius/pull/8762) [Bug][Admin] Avoid deleting Product Variant when removing the associa… (@ylastapis)
- [#8678](https://github.com/Sylius/Sylius/pull/8678) [ReviewBundle] Recalculate subject rating on review post create event (@loicmobizel)
- [#8756](https://github.com/Sylius/Sylius/pull/8756) [Documentation] Updated platform sh guide (@lchrusciel, @Crell)
- [#8737](https://github.com/Sylius/Sylius/pull/8737) [ProductAttribute] Fix select product attribute choice value rename (@GSadee)
- [#8750](https://github.com/Sylius/Sylius/pull/8750) Fixed a typo in docs (@dborsatto)
- [#8743](https://github.com/Sylius/Sylius/pull/8743) Load lazy taxon tree using a single click (@pamil)
- [#8749](https://github.com/Sylius/Sylius/pull/8749) Add coding standard section to docs (@pamil)
- [#8746](https://github.com/Sylius/Sylius/pull/8746) Use sylius-labs/coding-standard (@pamil)
- [#8742](https://github.com/Sylius/Sylius/pull/8742) Do flush after enabling a user in user registration listener (@pamil)
- [#8738](https://github.com/Sylius/Sylius/pull/8738) Make contributing easier - issues & pull requests templates (@pamil)
- [#8741](https://github.com/Sylius/Sylius/pull/8741) Do not close sidebar when clicking outside of it (@pamil)
- [#8740](https://github.com/Sylius/Sylius/pull/8740) Add missing license headers (@pamil)
- [#8733](https://github.com/Sylius/Sylius/pull/8733) Adjust coding standard settings (@pamil)
- [#8723](https://github.com/Sylius/Sylius/pull/8723) Add even more coding standard fixers (@pamil)
- [#8729](https://github.com/Sylius/Sylius/pull/8729) [Docs] Typos in SyliusTaxationBundle (@juukie)
- [#8725](https://github.com/Sylius/Sylius/pull/8725) [Mailer] Added missing PHPDoc argument (@sweoggy)
- [#8718](https://github.com/Sylius/Sylius/pull/8718) Do not crash admin while listing partially shipped orders (@pamil)
- [#8722](https://github.com/Sylius/Sylius/pull/8722) [Documentation] Fix broken link to UPGRADE file (@GSadee)
- [#8714](https://github.com/Sylius/Sylius/pull/8714) Set up upgrade file for 1.1 (@pamil)
- [#8713](https://github.com/Sylius/Sylius/pull/8713) Update contributing guide (@pamil)
- [#8712](https://github.com/Sylius/Sylius/pull/8712) Partition changelog & upgrade files (@pamil)
- [#8716](https://github.com/Sylius/Sylius/pull/8716) [Behat] Minor typo fix (@GSadee)
- [#8664](https://github.com/Sylius/Sylius/pull/8664) [Documentation / README] Simplified installation guide (@bpolaszek)
- [#8705](https://github.com/Sylius/Sylius/pull/8705) Fix coding standard (@pamil)
- [#8706](https://github.com/Sylius/Sylius/pull/8706) Enhance README (@pamil)
- [#8707](https://github.com/Sylius/Sylius/pull/8707) Update CHANGELOG (@pamil)
- [#8697](https://github.com/Sylius/Sylius/pull/8697) [Documentation] Non-existent action used (@kate-kate)
- [#8687](https://github.com/Sylius/Sylius/pull/8687) [Travis] Validating yarn packages on travis tests suite (@loicmobizel)
- [#8686](https://github.com/Sylius/Sylius/pull/8686) gitignore webserver pid files (@gabiudrescu)
- [#8696](https://github.com/Sylius/Sylius/pull/8696) [Documentation] Syntax typo fix (@kate-kate)
- [#8685](https://github.com/Sylius/Sylius/pull/8685) [Fixtures] Docs & tests about disabling listeners / fixtures in a suite (@pamil)
- [#8682](https://github.com/Sylius/Sylius/pull/8682) Gitignore webserver pid files (@gabiudrescu)
- [#8677](https://github.com/Sylius/Sylius/pull/8677) [Docs] Corrections on OrderItemQuantityModifier (@juukie)
- [#8675](https://github.com/Sylius/Sylius/pull/8675) Treat `dev-master` as 1.1 (@pamil)
- [#8663](https://github.com/Sylius/Sylius/pull/8663) [Documentation] Fix PHP min version (@kochen)
- [#8646](https://github.com/Sylius/Sylius/pull/8646) [ResourceBundle] Fix variable name (@plozmun)
- [#8662](https://github.com/Sylius/Sylius/pull/8662) fix link to BitBager PayUPlugin (@kochen)
- [#8668](https://github.com/Sylius/Sylius/pull/8668) Typo's (@juukie)
- [#8660](https://github.com/Sylius/Sylius/pull/8660) Make README great again (@pamil)
